Bug 63384 - Cursor in input field does not disappear when setting focus to another input field
Summary: Cursor in input field does not disappear when setting focus to another input ...
Status: RESOLVED FIXED
Alias: None
Product: konqueror
Classification: Applications
Component: khtml ecma (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Konqueror Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-08-28 21:31 UTC by Steffen Weber
Modified: 2006-10-28 20:26 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Bug screenshot wo java (16.40 KB, image/jpeg)
2004-02-10 14:14 UTC, marazm
Details
Bug screenshot (bugs.kde.org) (45.63 KB, image/jpeg)
2004-02-10 15:11 UTC, marazm
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Steffen Weber 2003-08-28 21:31:57 UTC
Version:            (using KDE Devel)
Installed from:    Compiled sources

When setting focus to another input field using Javascript the cursor in the input field that currently has the focus continues to exist and blinks. I've created a simple testcase: http://www.steffenweber.net/konqueror_inputfocus_bug/inputblur.html
Comment 1 Leo Savernik 2003-10-08 14:32:53 UTC
This is a regression. It worked in KDE 3.0. With CVS HEAD, both input fields 
have carets. Confirming. 
Comment 2 marazm 2004-02-10 14:14:56 UTC
Created attachment 4616 [details]
Bug screenshot wo java

Reproducable in 3.2.0

It seems, that in 3.2.0 it is somtimes reproducable eaven without java (see
screenshot from: http://laacz.lv/blog/2004/02/10/weblogs_ieks_bash/comments).
Comment 3 marazm 2004-02-10 15:11:53 UTC
Created attachment 4622 [details]
Bug screenshot (bugs.kde.org)

Somtimes reproducable in bugs.kde.org too :) If its different bug, plz open
another bug fot this case.
Comment 4 marazm 2004-11-04 16:18:38 UTC
This bug still exists in 3.3.1. It's rare, but still reproducible w/o Java.
Comment 5 Maksim Orlovich 2006-10-28 20:26:34 UTC
http://lists.kde.org/?l=kde-commits&m=116205863126463&w=2 -- not sure why it wasn't forwarded automatically..